## dutch 1.0-5

=== Makefile ===
#!/usr/bin/make -f
# Copyright 1996, Erick Branderhorst <branderh@debian.org> (GPL)

language= dutch

all: $(language) $(language).hash

diacrit7to8: diacrit7to8.l
	flex -8 -f diacrit7to8.l
	gcc -O2 -fomit-frame-pointer -m486 lex.yy.c -lfl -o diacrit7to8
	rm -f lex.yy.c

$(language): $(language).words
	ln -s $^ $@

#$(language): $(language).words diacrit7to8
#	./diacrit7to8 < $< > $@

$(language).hash: $(language).words $(language).aff
	buildhash $^ $@

clean:
	rm -f $(language) $(language).cnt $(language).{hash,words.{stat,cnt}} \
	lex.yy.c diacrit7to8
	rm -rf *~ ./#* core

## dutch 2.20.19+1

=== debian/changelog ===
dutch (1:2.20.19+1-3) unstable; urgency=medium

  * Fix symlinks to .aff files

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Aug 2025 16:17:54 +0200

dutch (1:2.20.19+1-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * oops, remove trailing , at Maintainer: introduced in my last NMU

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Jul 2025 11:40:24 +0200

dutch (1:2.20.19+1-2.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer consent
  * revert rename of nl.dic to nl_NL.dic and add nl_*.dic symlinks
    back (closes: #1109253 again),
  * remove Soren Stoutner from Maintainer per own request; add Kurt
    Kurt Roeckx as Maintainer:

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Jul 2025 21:17:33 +0200

dutch (1:2.20.19+1-2) unstable; urgency=medium

  * debian/rules:  Add the primary language variant (nl_NL) to the name of the
    Hunspell dictionary files to make them work with LibreOffice
    (closes: #1109253).
  * debian/hunspall-nl.install:  Install the renamed dictionary files.

 -- Soren Stoutner <soren@debian.org>  Mon, 14 Jul 2025 13:55:32 -0700

dutch (1:2.20.19+1-1) unstable; urgency=medium

  [ Manuel Guerra ]
  * debian/control:
    - Add convert-bdic dependency to build the bdic file.
    - Bump standards version from 4.1.3 to 4.7.2, no changes needed.
    - Make Soren Stoutner the maintainer (closes: #1091336).
    - Add myself as an uploader.
  * debian/copyright:
    - Rewrite file to comply with DEP-5 format.
    - Add myself to the debian/* stanza
  * debian/rules:  generates the .bdic binary dictionary file
    (Closes: #1020466).
  * debian/hunspell-nl.install:
    - Install the *.bdic file to /usr/share/hunspell-bdic/.
    - Install the *.dic file to /usr/share/hunspell/.
    - Install the *.dic file to /usr/share/hunspell/.
  * debian/salsa-ci.yml:  Add file to run the pipeline.
  * debian/source/format:  Change to 3.0 (closes: #1064230).
  * debian/gbp.conf:  Add gbp file to manage pristine tarball.
  * debian/lintian-overrides:  Add file to clean false positives.
  * debian/watch:  Add watch file.
  * debian/hunspell-nl.info-myspell:  Remove unnecessary links file.

  [ Soren Stoutner ]
  * Add aspell-nl.lintian-overrides and hunspell-nl.lintian-overrides.
  * debian/copyright:  Add myself to the debian/* stanza.
  * debian/rules:  Add dh_lintian to binary-indep.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Soren Stoutner <soren@debian.org>  Thu, 01 May 2025 12:58:17 -0700

dutch (1:2.20.19-2) unstable; urgency=medium

  * Convert aspell files from latin1 to UTF-8
  * Fix list of accepted aspell workds (Closes: #979558)
    - Allow & in the middle of words in aspell
    - Remove words starting with a -, @ or &, and words containig ² or ³.
  * Remove words with -, ' and & for ispell (Closes: #783501)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 12 Jan 2021 23:13:12 +0100

dutch (1:2.20.19-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Kurt Roeckx ]
  * Move source/format to correct place
  * Fix aspell/vlaams.multi
  * New upstream release
    - Update copyright file
    - Update script to work with new files
  * Remove myspell-tools from Build-Depends-Indep
  * Remove the nl_AN locale from hunspell-nl, the locale doesn't exist.
  * Change wdutch's info file to say it's UTF-8, and remove duplicate entry
  * Remove duplicate entry in idutch's info file

  [ Sander van Geloven ]
  * Update Description of hunspell-nl

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 07 Jan 2021 23:11:59 +0100

dutch (1:2.10-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:01:31 +0100

dutch (1:2.10-6) unstable; urgency=medium

  [ Rene Engelhard ]
  * rename myspell-nl to hunspell-nl since it's actually a hunspell dict
    needing hunspell 1.3.1 (closes: #761032)

  [ Thijs Kinkhorst ]
  * Packaging cleanups:
    - Updated to debhelper 11.
    - Checked for policy 4.1.3 (no changes).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 07 Jan 2018 13:57:01 +0200

dutch (1:2.10-5) unstable; urgency=medium

  * Set LC_ALL to C so that we have a fixed sort order in the aspell
    worldlist file.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 23 Jul 2016 15:28:21 +0200

dutch (1:2.10-4) unstable; urgency=medium

  * Avoid detecting binary data when building under some locales.
    Thanks Chris Lamb for the report and patch (closes: #800107).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 28 Sep 2015 08:30:57 +0000

dutch (1:2.10-3) unstable; urgency=medium

  * Remove timestamps from gzipped files (closes: #777325).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 22 Feb 2015 10:30:46 +0000

dutch (1:2.10-2) unstable; urgency=medium

  * myspell-nl: add Provides: hunspell-nl (see #761032).
  * Update to Debian policy 3.9.6, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 06 Oct 2014 16:26:48 +0000

dutch (1:2.10-1) unstable; urgency=low

  * New upstream version (Closes: #667456)
  * Change the wordlist file from latin1 to UTF-8 (Closes: #651882)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 07 Apr 2012 15:54:29 +0200

dutch (1:2.0-2) unstable; urgency=low

  * Rebuild against newer dictionaries-common-dev (Closes: #629093)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 03 Jun 2011 15:59:44 +0200

dutch (1:2.0-1) unstable; urgency=low

  * New upstream version
    - Now requires hunspell 1.2.8.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 20 Nov 2010 12:16:24 +0100

dutch (1:1.10-5) unstable; urgency=low

  * Call installdeb-myspell with the --srcdir option so that it sets up
    all the symlinks for us, and no longer create the symlinks ourself.
  * This also rebuilds against a newer version of dictionaries-common-dev


=== debian/control ===
Source: dutch
Section: text
Priority: optional
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Uploaders: Thijs Kinkhorst <thijs@debian.org>,
           Manuel Guerra <ar.manuelguerra@gmail.com>
Build-Depends: dictionaries-common-dev,
               ispell,
               debhelper-compat (= 13),
               convert-bdic
Build-Depends-Indep: aspell,
                     hunspell-tools
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/dutch.git
Vcs-Browser: https://salsa.debian.org/debian/dutch
Homepage: https://www.opentaal.org/
Rules-Requires-Root: no

Package: idutch
Architecture: all
Depends: dictionaries-common,
         ispell,
         ${misc:Depends}
Provides: ispell-dictionary
Suggests: wdutch
Description: Dutch dictionary for Ispell
 A Dutch spelling dictionary for the spelling checker Ispell.
 .
 This dictionary, from the OpenTaal project, uses the official
 spelling of 2005 and has been officially approved by the TaalUnie.
 .
 For a simple word list, see the wdutch package instead.

Package: wdutch
Architecture: all
Provides: wordlist
Depends: dictionaries-common,
         ${misc:Depends}
Description: list of Dutch words
 This package contains an alphabetic list of Dutch words.
 .
 This word list, from the OpenTaal project, uses the official
 spelling of 2005 and has been officially approved by the TaalUnie.
 .
 See the idutch package for the same wordlist in a format suitable
 for the spelling checker Ispell.

Package: aspell-nl
Architecture: all
Provides: aspell-dictionary
Depends: aspell, ${misc:Depends},
         dictionaries-common
Description: Dutch dictionary for Aspell
 A Dutch spelling dictionary for the spelling checker Aspell.
 .
 This dictionary, from the OpenTaal project, uses the official
 spelling of 2005 and has been officially approved by the TaalUnie.
 .
 For a simple word list, see the wdutch package instead.

Package: hunspell-nl
Architecture: all
Depends: dictionaries-common | openoffice.org-updatedicts,
         ${misc:Depends}
Provides: hunspell-dictionary,
          hunspell-dictionary-nl,
          myspell-nl
Replaces: myspell-nl
Conflicts: myspell-nl
Multi-Arch: foreign
Description: Dutch dictionary for Hunspell
 This is the Dutch dictionary for use with the Hunspell spelling checker
 which is used by LibreOffice, Firefox, Thunderbird and many other
 text processing software.
 .
 This dictionary, from the OpenTaal project, uses the official
 spelling of 2005 and has been officially approved by the TaalUnie.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

include /usr/share/dpkg/pkg-info.mk

ITMPDIR:=$(CURDIR)/debian/idutch
ATMPDIR:=$(CURDIR)/debian/aspell-nl

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	mkdir -p wdutch
	chmod +x convert
	./convert
	#Generate the .bdic file
	convert-bdic hunspell/nl.dic hunspell/nl.bdic
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f hunspell/nl.bdic
	rm -f debian/aspell-nl.info-aspell
	rm -f `find . -name "*~"` debian/files* debian/substvars core
	rm -rf $(ATMPDIR)
	rm -f aspell/nl.cwl.gz aspell/nl.cwl aspell/nl.wl
	rm -f wdutch/dutch
	rm -f ispell/dutch.mwl*
	rm -rf wdutch
	dh_clean

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs

	# wdutch wordlist
	installdeb-wordlist --package=wdutch
	dh_install -i
	-ln -s idutch.info-ispell debian/aspell-nl.info-aspell
	touch ${ATMPDIR}/var/lib/aspell/nl.compat ${ATMPDIR}/var/lib/aspell/nl.rws
	installdeb-aspell --package=aspell-nl
	touch ${ITMPDIR}/var/lib/ispell/dutch.compat ${ITMPDIR}/var/lib/ispell/dutch.hash
	installdeb-ispell --package=idutch
	installdeb-myspell --package=hunspell-nl --srcdir=hunspell
	# general stuff
	dh_installdocs -i
	dh_installman -pwdutch debian/dutch.5
	dh_installchangelogs -i
	dh_lintian
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i -Nhunspell-nl
	dh_gencontrol -p hunspell-nl -- -v2:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_md5sums -i -Xvar/lib/aspell -Xvar/lib/ispell
	dh_builddeb -i

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build
	# Nothing to do

binary: binary-indep binary-arch

.PHONY: clean binary-indep binary-arch binary build build-arch build-indep

=== debian/watch ===
#Currently, this package cannot have a functional clock file.
#This package builds multiple binaries.
#Its upstream sources are located from different locations.
#This will be fixed in the future by splitting each binary according to its upstream source

## dutch 2.20.19+2

=== debian/changelog ===
dutch (1:2.20.19+2-1) experimental; urgency=medium

  [ Manuel Guerra ]
  * Rebase the upstream source code on
    https://github.com/OpenTaal/opentaal-wordlist.
  * Remove the idutch and aspell-nl binaries packages, as there is no suitable
    upstream source to build them.
  * Move the hunspell-nl binary package from the dutch source package to a new
    hunspell-nl source package.
  * Add debian/upstream/metadata.
  * Add debian/docs to install the upstream README file.
  * debian/control:  Refactor to only build the wdutch binary package.
  * debian/rules:  Refactor file to only build the wdutch binary package.
  * debian/watch:  Rebase on https://github.com/OpenTaal/opentaal-wordlist.

  [ Soren Stoutner ]
  * Add debian/clean to remove renamed wordlist.
  * Add debian/manpages to install the Debian-specific man page.
  * debian/control:
    - Move dictionaries-common-dev from build-depends to build-depends-indep as
      only an "Architecture: all" is build built.
    - Reorder fields and field contents for readability.
  * debian/copyright:  Add myself to the debian/* stanza.
  * debian/install:  Install the renamed `dutch` wordlist from the upstream
    location.
  * debian/rules:
    - Copy wordlist.txt to the canonical `dutch` name.
    - Remove the antiquated build rules.

 -- Soren Stoutner <soren@debian.org>  Tue, 20 May 2025 20:48:36 -0700

=== debian/control ===
Source: dutch
Section: text
Priority: optional
Maintainer: Soren Stoutner <soren@debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>,
           Kurt Roeckx <kurt@roeckx.be>,
           Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dictionaries-common-dev
Homepage: https://www.opentaal.org/
Vcs-Git: https://salsa.debian.org/debian/dutch.git
Vcs-Browser: https://salsa.debian.org/debian/dutch
Rules-Requires-Root: no
Standards-Version: 4.7.2

Package: wdutch
Architecture: all
Depends: dictionaries-common,
         ${misc:Depends}
Provides: wordlist
Description: list of Dutch words
 This package contains an alphabetic list of Dutch words.
 .
 This word list, from the OpenTaal project, uses the official
 spelling of 2005 and has been officially approved by the TaalUnie.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# Rename the wordlist file to the canonical name `dutch`.
	cp wordlist.txt dutch

	# Use the script from dectionaries-common-dev to handle the wordlist specific options.
	installdeb-wordlist

=== debian/watch ===
version=4
https://github.com/OpenTaal/opentaal-wordlist/tags .*/v?(\d.*).tar.gz
